// Process SpectatorDlg.h : header file
//

#pragma once
#include<afxwin.h>
#include<afxcmn.h>

// CProcessSpectatorDlg dialog
class CProcessSpectatorDlg : public CDialog
{
// Construction
public:
	CProcessSpectatorDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_PROCESSSPECTATOR_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Pointers to three listcontrols for direct access
	CListCtrl *pProcess,*pModules,*pThreads;

	// An array that holds up PID of all processes displayed 
	// It is used by Process::GetProcessById
	CDWordArray ProcessID;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedClose();

	// Refreshes the process view and clears other two view
	// It does not selects last item after refresh like Task Manager
	// (Wait for next update for this problem solution)
	void RefreshList(void);

	afx_msg void OnBnClickedKill();	// Kill Process
	afx_msg void OnLvnItemchangedProcess(NMHDR *pNMHDR, LRESULT *pResult);	// Process selected changes
};
